.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the WebSocketMultiplayerPeer.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_WebSocketMultiplayerPeer:

WebSocketMultiplayerPeer
========================

**Inherits:** :ref:`NetworkedMultiplayerPeer<class_networkedmultiplayerpeer>` **<** :ref:`PacketPeer<class_packetpeer>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Inherited By:** :ref:`WebSocketClient<class_websocketclient>`, :ref:`WebSocketServer<class_websocketserver>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+--------------------------------------------+----------------------------------------------------------------------------------------------------------+
| :ref:`WebSocketPeer<class_websocketpeer>`  | :ref:`get_peer<class_WebSocketMultiplayerPeer_get_peer>` **(** :ref:`int<class_int>` peer_id **)** const |
+--------------------------------------------+----------------------------------------------------------------------------------------------------------+

Signals
-------

.. _class_WebSocketMultiplayerPeer_peer_packet:

- **peer_packet** **(** :ref:`int<class_int>` peer_source **)**


Member Function Description
---------------------------

.. _class_WebSocketMultiplayerPeer_get_peer:

- :ref:`WebSocketPeer<class_websocketpeer>` **get_peer** **(** :ref:`int<class_int>` peer_id **)** const


